Subject: Re: [PATCH v3 1/2] [POWERPC] MPC832x_RDB: update dts to use spi, register mmc_spi stub

From: David Gibson <[email-masked]>
Date: Sun, 12 Aug 2007 18:16:04 +1000

On Fri, Aug 10, 2007 at 10:42:51PM +0200, Segher Boessenkool wrote:
> >>> We should co-ordinate better on this, if it's to become a
> >>> convention...
> >>
> >> That means we shouldn't coordinate on this, right?
> >
> > Heh.  Either one is kind of ugly, I'll grant you.
> >
> > But, many SoCs do have a notion of device "number", which is relevant
> > for programming other general control registers in places.  We need to
> > encode it somehow, and it would be good to have a consistent way of
> > doing it.
> 
> I'm not convinced there isn't a more direct way to represent
> the relevant relationships.
> 
> Either way, we don't have enough experience with this stuff
> yet to know what works well and what doesn't (at least, I
> don't, and I haven't seen any evidence that others do); so
> I'd prefer to keep this in per-device bindings for now; it
> should be there anyhow, but once we do have experience with
> it we could do some recommendation.

Well of course it will remain in the per-device bindings.  But just
because these are in different per-device bindings doesn't mean we
can't *try* to use consistent property names for similar things...

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson